[Numpy-discussion] snow leopard issues with numpy

David Cournapeau cournape@gmail....
Thu Sep 3 22:49:48 CDT 2009


On Fri, Sep 4, 2009 at 1:49 AM, Charles R
Harris<charlesr.harris@gmail.com> wrote:
>
>
> On Thu, Sep 3, 2009 at 10:39 AM, Robert Kern <robert.kern@gmail.com> wrote:
>>
>> On Thu, Sep 3, 2009 at 11:13, Charles R Harris<charlesr.harris@gmail.com>
>> wrote:
>> >
>> >
>> > On Thu, Sep 3, 2009 at 10:02 AM, Wolfgang Kerzendorf
>> > <wkerzendorf@googlemail.com> wrote:
>> >>
>> >> I just installed numpy and scipy (both svn) on OS X 10.6 and just got
>> >> scipy to work with Robert Kern's help. Playing around with numpy I got
>> >> the following segfault:
>> >> http://pastebin.com/m35220dbf
>> >> I hope someone can make sense of it. Thanks in advance
>> >>      Wolfgang
>> >
>> > I'm going to guess it is a python problem. Which version of python do
>> > you
>> > have and where did it come from?
>>
>> Or a matplotlib problem. _path.so is theirs.
>>
>
> Likely, then. I had to recompile matplotlib from svn when I upgraded to
> Fedora 11.

Looks like C++ code, and snow leopard has gcc 4.2, which is likely to
have some subtle ABI incompatibilities with 4.0 (the one from
leopoard). So yes, a matplotlib rebuild would be the first thing to
try.

cheers,

David


More information about the NumPy-Discussion mailing list